Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 08-06-2019 16:47:35

Arnaud59
Membre
Lieu : MARCQ EN BAROEUL
Distrib. : debian 9 stretch
Inscription : 08-06-2019

Mise à jour Audacity

Bonjour,

La version de base d'Audacity pour Stretch est la 2.1.2. La dernière version d'Audacity pour Linux (sur audacityteam.org) est la 2.3.2. Lorsque je lance la mise à jour par la commande apt-get upgrade audacity, le sytème me répond que la dernière version est installée. J'ai donc téléchargé le source code sur le site d'Audacity mais après, j'avoue que cela se complique. Il faut apparemment décompresser, compiler...J'avoue être un peu perdu. Il existe peut être une page du wiki mais je n'ai pas trouvé vraiment mon bonheur. Je cherche donc un peu d'aide. Merci d'avance.

Arnaud

Hors ligne

#2 08-06-2019 17:02:31

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Mise à jour Audacity

tu as cloné le dépôt ,

git clone https://github.com/audacity/audacity

  ?

tu as regardé là ?  https://openclassrooms.com/fr/courses/4 … es-sources çà pourrait t'intéresser ...

Dernière modification par Debian Alain (08-06-2019 17:16:39)


1498812139.jpg JEANNE MAS - Sauvez Moi   
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#3 09-06-2019 19:33:54

Arnaud59
Membre
Lieu : MARCQ EN BAROEUL
Distrib. : debian 9 stretch
Inscription : 08-06-2019

Re : Mise à jour Audacity

Bonjour et merci de cette première réponse. La première phrase reste encore du chinois pour moi mais je vais me renseigner. On apprend par la pratique !

Arnaud

Hors ligne

#4 09-06-2019 19:44:48

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Mise à jour Audacity

cloner un dépôt git , çà veut dire , grosso modo , le copier à l'identique (fichiers et dossiers) depuis le dépôt git .

j'ai un peu tâté . le clonage fonctionne bien , mais , la compilation est ardue .

je te conseille de te limiter à la version officielle classique de audacity sur ton systeme .

ou alors , si tu es sous stretch et que tu veux à tout prix la dernière version , limite toi à celle des backports .

apt -t stretch-backports install audacity


si , bien sûr , tu as le dépôt backports dans tes sources ...



tu vas au devant de difficultés si tu veux le compiler depuis les  sources . ce n'est pas simple . du tout .

linux M.A.O. Audacity

audacity sourceforge

apt policy audacity


audacity:
  Installé : (aucun)
  Candidat : 2.2.2-1+b1
 Table de version :
     2.2.2-1+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
        100 https://deb.debian.org/debian unstable/main amd64 Packages
     2.1.2-2 100
        100 https://deb.debian.org/debian stable/main amd64 Packages
        100 https://deb.debian.org/debian stretch/main amd64 Packages



ci dessus tu vois que audacity n'est pas installé su ma machine :

 Installé : (aucun)


qu'il est disponnible en version 2.2.2-1 sur testing (buster , la future stable) et unstable (sid pour les connaisseurs : la version de développement , instable) ,
donc , par voie de conséquence , dans les backports puisque on y mets les paquets de testing adaptés à la stable .

     2.2.2-1+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
        100 https://deb.debian.org/debian unstable/main amd64 Packages



tu as une version un peu plus ancienne dans stretch (la stable courante)

     2.1.2-2 100
        100 https://deb.debian.org/debian stable/main amd64 Packages
        100 https://deb.debian.org/debian stretch/main amd64 Packages



si tu tiens , malgré tout , à compiler depuis les sources , regarde :

https://debian-facile.org/viewtopic.php?id=7657

Dernière modification par Debian Alain (09-06-2019 20:13:00)


1498812139.jpg JEANNE MAS - Sauvez Moi   
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#5 09-06-2019 22:28:51

Arnaud59
Membre
Lieu : MARCQ EN BAROEUL
Distrib. : debian 9 stretch
Inscription : 08-06-2019

Re : Mise à jour Audacity

C'est effectivement un peu compliqué tout ça. Ce que je ne comprends pas c'est pourquoi s'agissant d'un logiciel qui est installé de base dans Stretch, il n'est pas mis à jour automatiquement. Je vais essayer de digérer tout ce que tu as écrit. Merci en tous cas

Arnaud

Hors ligne

#6 09-06-2019 22:36:50

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Mise à jour Audacity

il est mis à jour régulièrement  mais debian , accordant de l'importance à la sécurité et à la stabilité , ne met que des logiciels testés et éprouvés donc souvent  avec une guerre de retard .

si tu veux les derniers programmes sans trop sacrifier à la sécurité , passe à buster testing .

si tu es casse cou et que tu veux  à tout prix les derniers programmes les plus récents mais avec moins de sécurité , pense à unstable (sid) ou expérimental .

Dernière modification par Debian Alain (09-06-2019 22:37:09)


1498812139.jpg JEANNE MAS - Sauvez Moi   
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#7 10-06-2019 22:10:39

Arnaud59
Membre
Lieu : MARCQ EN BAROEUL
Distrib. : debian 9 stretch
Inscription : 08-06-2019

Re : Mise à jour Audacity

OK, je pense que dans l'immédiat, je vais rester (uniquement pour Audacity) avec la version Windows. Je vais me former un peu, regarder les liens que tu m'as envoyés et j'aviserais pour le changement de version. Je ne voudrais pas déstabiliser mon système qui me donne toute satisfaction. C'est vraiment un autre monde, beaucoup plus plaisant Linux

Hors ligne

#8 10-06-2019 22:21:51

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : Mise à jour Audacity

Solution "à copier/coller"

#On se met root
sudo su

#On ajoute le mirroir deb-multimedia (qui est controversé, mais ça fait ce que tu veux)
echo "deb http://www.deb-multimedia.org stretch main" >> "/etc/apt/sources.list"

#On ajoute le paquet de clés pour faire confiance à deb-multimedia, on le DL en HTTPS, donc c'est relativement bien secure
wget "https://www.deb-multimedia.org/pool/main/d/deb-multimedia-keyring/deb-multimedia-keyring_2016.8.1_all.deb"
dpkg -i deb-multimedia-keyring_2016.8.1_all.deb
rm deb-multimedia-keyring_2016.8.1_all.deb

#On met à jour les paquets avec le nouveau mirroir
apt update

#Et on lance la mise à jour qui devrait aussi te rafraîchir ton audacity à la version 1:2.1.3
apt-get upgrade
 

Dernière modification par otyugh (10-06-2019 22:25:04)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#9 11-06-2019 08:09:18

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Mise à jour Audacity

Bonjour,
Ça ne le fera pas vraiment le paquet est en version 2.1.3 et non à la dernière indiquée dans le premier message 2.3.2

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#10 11-06-2019 10:13:07

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : Mise à jour Audacity

Autant pour moi, lu trop vite. Donc y a que

buster-multimedia: 1:2.3.2-dmo2; sid-multimedia: 1:2.3.2-dmo2

qui servent des audacity.deb de cette version hmm


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#11 11-06-2019 10:24:50

golgot200
Membre
Distrib. : Archlinux
Noyau : Linux 5.1.5-arch1-2-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Mise à jour Audacity

otyugh a écrit :

Solution "à copier/coller"

#On se met root
sudo su

#On ajoute le mirroir deb-multimedia (qui est controversé, mais ça fait ce que tu veux)
echo "deb http://www.deb-multimedia.org stretch main" >> "/etc/apt/sources.list"

#On ajoute le paquet de clés pour faire confiance à deb-multimedia, on le DL en HTTPS, donc c'est relativement bien secure
wget "https://www.deb-multimedia.org/pool/main/d/deb-multimedia-keyring/deb-multimedia-keyring_2016.8.1_all.deb"
dpkg -i deb-multimedia-keyring_2016.8.1_all.deb
rm deb-multimedia-keyring_2016.8.1_all.deb

#On met à jour les paquets avec le nouveau mirroir
apt update

#Et on lance la mise à jour qui devrait aussi te rafraîchir ton audacity à la version 1:2.1.3
apt-get upgrade
 




mais ça fait ce que tu veux

....  ou pas tongue

Hors ligne

#12 11-06-2019 10:28:07

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Mise à jour Audacity

pour être totalement sécure avec ce dépôt , faudrai faire du pinning .

et encore ....

1498812139.jpg JEANNE MAS - Sauvez Moi   
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#13 11-06-2019 10:28:52

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Buster/Sid/Rc-Buggy
Noyau : Linux (≥ 4.12)
(G)UI : i3-wm (≥ 4.13)
Inscription : 07-07-2008
Site Web

Re : Mise à jour Audacity

@oty: « sudo -s » c'est plusse mieux que « sudo su » (1. une seule commande, 2. -s est fait pour ça, 3. su sans -l n'est pas recommandé)

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#14 11-06-2019 10:41:08

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : Mise à jour Audacity

@Captnfab : Les habitudes ont la vie dure >.>

datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#15 11-06-2019 17:54:11

Arnaud59
Membre
Lieu : MARCQ EN BAROEUL
Distrib. : debian 9 stretch
Inscription : 08-06-2019

Re : Mise à jour Audacity

Bon ben j'ai des marges de progrès pour pouvoir décoder tout ça! Merci en tous cas

Hors ligne

#16 11-06-2019 18:41:47

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 4.19.0-4 amd 64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Mise à jour Audacity

le script de otyugh , légèrement amélioré :

(avec pinning et test des priorités)


#On se met root
sudo su

#On ajoute le mirroir deb-multimedia (qui est controversé, mais ça fait ce que tu veux)
echo "deb http://www.deb-multimedia.org stretch main" > "/etc/apt/sources.list.d/multimedia.list"

#On ajoute le paquet de clés pour faire confiance à deb-multimedia, on le DL en HTTPS, donc c'est relativement bien secure
wget "https://www.deb-multimedia.org/pool/main/d/deb-multimedia-keyring/deb-multimedia-keyring_2016.8.1_all.deb"
dpkg -i deb-multimedia-keyring_2016.8.1_all.deb
rm deb-multimedia-keyring_2016.8.1_all.deb

# pinning deb-multimedia
cat > /etc/apt/preferences.d/multimedia.pref <<EOF
Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 100
EOF


#On met à jour les paquets avec le nouveau mirroir
apt update

# test priorités
apt policy

#Et on lance la mise à jour qui devrait aussi te rafraîchir ton audacity à la version 1:2.1.3
apt-get upgrade
 



tu sera peut être obligé de faire CTRL + D si tu es bloqué en root ...

si tu veux installer la dernière version de audacity , regarde :

tu le trouvera dans le dépôt deb-multimedia de testing :

apt policy audacity



audacity:
  Installé : (aucun)
  Candidat : 2.2.2-1+b1
 Table de version :
     1:2.3.2-dmo2 100
        100 http://www.deb-multimedia.org testing/main amd64 Packages
     2.2.2-1+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
        100 https://deb.debian.org/debian unstable/main amd64 Packages
     2.1.2-2 100
        100 https://deb.debian.org/debian stable/main amd64 Packages
        100 https://deb.debian.org/debian stretch/main amd64 Packages
 

Dernière modification par Debian Alain (11-06-2019 19:18:06)


1498812139.jpg JEANNE MAS - Sauvez Moi   
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#17 11-06-2019 20:41:52

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Mise à jour Audacity

bonsoir
Bon sinon c'est pas pour embrouiller encore +, mais y'à la dernière version via snap

 snap find audacity


Name             Version                       Publisher    Notes  Summary
audacity         2.3.2                         diddledan    -      Audio software for multi-track recording and editing
 


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#18 11-06-2019 20:46:45

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : Mise à jour Audacity

C'est ptéte le plus simple dans son cas, en fait. Même si Snap/flatpack sad

datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#19 12-06-2019 20:47:23

Arnaud59
Membre
Lieu : MARCQ EN BAROEUL
Distrib. : debian 9 stretch
Inscription : 08-06-2019

Re : Mise à jour Audacity

Bon et bien je me suis décidé pour la solution par snap. J'ai donc installé snap (apt install snapd) puis audacity (snap install audacity). Il télécharge core qu'il installe puis audacity. Mais j'ai le message d'erreur Mount snap "audacity" (342)  (cannot find required base "core18") et c'est vrai que depuis le début de l'installation de Debian j'ai quelques messages d'erreur au boot qui ne sont pas bloquants parmi lesquels le  premier de ces messages indique "Support for core revisions 0x17 ans 0x18 disabled by module param allhwsupport = 0. Try b43.allhwsupport=1" J'ai cherché une réponse sur Internet, sans succès à ce jour.

Hors ligne

#20 12-06-2019 21:41:15

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Mise à jour Audacity

hello
oui il faudrait que je change dans le wiki je crois, apparemment souvent besoin d'installé des prérequis au premier lancement de snap
on en a parlé ici
https://debian-facile.org/viewtopic.php … 70#p296870
donc installes les prérequis

snap install hello-world


snap install core18



puis

snap install audacity



Chalu a écrit :

en fait après l'installation de snapd, il faut relancer la session pour avoir snap dans le PATH$ bin.

Dernière modification par Croutons (12-06-2019 21:43:26)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#21 13-06-2019 21:04:42

èfpé
Membre
Inscription : 10-07-2016

Re : Mise à jour Audacity

Bonsoir (en passant),

Arnaud59 a écrit :

"Support for cores revisions 0x17 and 0x18 disabled by module param allhwsupport=0. Try b43.allhwsupport=1"


Aucun rapport avec l'absence de core18 : b43 est un pilote de carte Wi-Fi Broadcom (cf. ici par ex.).
Si tu n'as pas de problème de connexion Wi-Fi ou que tu ne l'utilises pas, il est urgent d'ignorer ça !

Hors ligne

#22 15-06-2019 10:46:02

Arnaud59
Membre
Lieu : MARCQ EN BAROEUL
Distrib. : debian 9 stretch
Inscription : 08-06-2019

Re : Mise à jour Audacity

Je n'ai pas de pb de connexion WIFI et effectivement ce n'est pas bloquant. Ne rien faire, ca veut dire ne pas installer les prérequis snap helloworld et core18 ?

Hors ligne

#23 15-06-2019 12:11:33

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Mise à jour Audacity

Ne rien faire pour le wifi si il fonctionne bien , mais tu peux installer les prérequis

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#24 15-06-2019 15:53:57

Arnaud59
Membre
Lieu : MARCQ EN BAROEUL
Distrib. : debian 9 stretch
Inscription : 08-06-2019

Re : Mise à jour Audacity

Et bien voilà ! On peut clôturer le sujet : la nouvelle version d'Audacity est installée sur mon poste sans soucis (juste un warning à l'installation comme quoi /snap/bin n'est pas dans mon $PATH, non bloquant). Il me reste à désinstaller l'ancienne version. Petite question : j'ai cru comprendre que snap n'était pas complètement orthodoxe. Faut il que je le désinstalle ?

Sinon, je voulais tous vous remercier. C'est vraiment sympa cette ambiance collective d'entraide.

Arnaud

Hors ligne

#25 Hier 09:40:07

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Mise à jour Audacity

Bonjour,
Pour clôturer, tu édites ton premier message en cliquant sur modifier et tu ajoutes [Résolu] dans le titre \o/

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

Pied de page des forums